Page MenuHomePhabricator

Add initial NetBSD support in lldbsuite/test/lldbtest.py
ClosedPublic

Authored by krytarowski on Dec 5 2015, 9:32 PM.

Details

Summary

Add new functions:

  • expectedFailureNetBSD()
  • expectedFlakeyNetBSD()
  • skipIfNetBSD()

Add new NetBSD entry in:

  • getPlatform()
  • getHostPlatform()

Assume that libc++ is installed and use the GNU toolchain

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski updated this revision to Diff 42001.Dec 5 2015, 9:32 PM
krytarowski retitled this revision from to Add initial NetBSD support in lldbsuite/test/lldbtest.py.
krytarowski updated this object.
krytarowski set the repository for this revision to rL LLVM.
krytarowski edited reviewers, added: clayborg; removed: clay.chang.
krytarowski added a subscriber: lldb-commits.
emaste added inline comments.Dec 6 2015, 5:10 AM
packages/Python/lldbsuite/test/lldbtest.py
832–834

perhaps put after FlakeyLinux so we only have to move FreeBSD to put it in alpha order

2290–2291

This seems wrong; if a test needs libc++ it should either be skipped on NetBSD right now or use libc++

krytarowski updated this revision to Diff 42013.Dec 6 2015, 7:49 AM
krytarowski updated this object.
krytarowski updated this object.Dec 6 2015, 7:52 AM
joerg edited edge metadata.Dec 6 2015, 7:56 AM

Two small cleanups, otherwise LGTM.

packages/Python/lldbsuite/test/lldbtest.py
1328

I'd prefer getPlatform() in ("linux", "freebsd", "netbsd") as more shorter.

2288

Same, self.getPlatform in ...

krytarowski updated this revision to Diff 42014.Dec 6 2015, 8:18 AM
krytarowski edited edge metadata.
emaste accepted this revision.Dec 6 2015, 8:27 AM
emaste edited edge metadata.
This revision is now accepted and ready to land.Dec 6 2015, 8:27 AM
tfiala accepted this revision.Dec 6 2015, 11:01 PM
tfiala edited edge metadata.
clayborg accepted this revision.Dec 7 2015, 10:12 AM
clayborg edited edge metadata.
krytarowski closed this revision.Dec 7 2015, 1:28 PM